For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
AcademyContact SalesHelp CenterDashboard
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
DocumentationAPI ReferenceIntegrationsAdministrationChangelog
  • Get Started
    • Introduction
    • Authentication
  • Resources
    • Custom Variables
    • Dynamic Prompt Injection
    • Outbound Number Pooling
    • Timezones
  • Platform API
      • GETList phone numbers
      • GETGet a phone number
      • POSTImport phone number
      • PATCHUpdate a phone number
      • DELDelete a phone number
LogoLogo
AcademyContact SalesHelp CenterDashboard
Platform APIPhone Numbers

Get a phone number

||View as Markdown|
GET
/numbers/:phone_number_slug
GET
/v2/numbers/:phone_number_slug
$curl -G https://api.synthflow.ai/v2/numbers/33782990580 \
> -H "Authorization: Bearer <token>" \
> -d workspace=1710107690998x536152705164378100
1{
2 "slug": "33782990580",
3 "address_requirement": "none",
4 "phone_number": "+33782990580",
5 "friendly_name": "My Custom Number",
6 "is_sms_capable": true,
7 "is_voice_capable": true,
8 "iso_country": "FR",
9 "locality": "Paris",
10 "sip_auth_username": null,
11 "sip_outbound_proxy": null,
12 "sip_term_uri": "sip:33782990580.custom.com",
13 "sid": "PN25f3fa6d8f...b765035605ca",
14 "provider_name": "twilio",
15 "region": "Ile-de-France",
16 "is_available": true,
17 "agency_workspace_id": null,
18 "workspace_id": "1710107690...5164378100",
19 "created_at": {},
20 "updated_at": null,
21 "assistants": [
22 "model_id"
23 ]
24}
Retrieves detailed information about a specific phone number.
Was this page helpful?
Previous

Import phone number

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

phone_number_slugstringRequired

The phone number slug (phone number without the leading +).

Query parameters

workspacestringRequired
Workspace ID.

Response

200
slugstring

The phone number slug (phone number without the leading +).

address_requirementstring
Address requirement for the phone number.
phone_numberstring
The full phone number in E.164 format.
friendly_namestring

A human-readable name for the phone number.

is_sms_capableboolean
Whether the phone number can send and receive SMS.
is_voice_capableboolean
Whether the phone number can make and receive voice calls.
iso_countrystring
ISO country code for the phone number.
localitystring
The locality or city associated with the phone number.
sip_auth_usernamestring or null
SIP authentication username, if configured.
sip_outbound_proxystring or null
SIP outbound proxy, if configured.
sip_term_uristring
SIP termination URI.
sidstring
Phone number SID from the provider.
provider_namestring
Name of the telephony provider.
regionstring
The region associated with the phone number.
is_availableboolean
Whether the number is available for inbound assignment.
agency_workspace_idstring or null
Agency workspace ID, if applicable.
workspace_idstring
The workspace ID the phone number belongs to.
created_atdatetime
Timestamp when the phone number was created.
updated_atdatetime or null
Timestamp when the phone number was last updated.
assistantslist of strings
List of assistant IDs attached to this phone number.

Errors

400
Bad Request Error